<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroPaymentMethodViewModel extends Entity {
	protected $type;
	protected $installments;
	protected $capture;
	protected $card;

	public static function builder():PagSeguroPaymentMethodViewModelBuilder {

		return new PagSeguroPaymentMethodViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getType() {

		return $this->type;
	}


	/**
	 * @return mixed
	 */
	public function getInstallments() {

		return $this->installments;
	}


	/**
	 * @return mixed
	 */
	public function getCapture() {

		return $this->capture;
	}


	/**
	 * @return mixed
	 */
	public function getCard() {

		return $this->card;
	}


	/**
	 * @param mixed $type
	 */
	public function setType($type) {

		$this->type = $type;
	}


	/**
	 * @param mixed $installments
	 */
	public function setInstallments($installments) {

		$this->installments = $installments;
	}


	/**
	 * @param mixed $capture
	 */
	public function setCapture($capture) {

		$this->capture = $capture;
	}


	/**
	 * @param mixed $card
	 */
	public function setCard($card) {

		$this->card = $card;
	}


	
	

}

